<?
function show_time_select($value)
{
$d=floor($value/3600);
$m=$value-$d*3600;
$s=$m/60;
if(!$value)$s=1;
$minutes='<select name="reminder_minutes">';
for($i=0;$i<=59;$i++)
{
	$v=$i*60;
	$minutes.='<option value="'.$v.'"';
	if($i==$s)$minutes.=' selected';
	$minutes.='>'.$i.'</option>';
}
$minutes.='</select>';

$hours='<select name="reminder_hours">';
for($i=0;$i<=23;$i++)
{
	$v=$i*3600;
	$hours.='<option value="'.$v.'"';
	if($i==$d)$hours.=' selected';
	$hours.='>'.$i.'</option>';
}
$hours.='</select>';
return 'hours: '.$hours.' minutes: '.$minutes;
}
?>